Extending Qt Creator Manual | Function

Extending Qt Creator Manual 4.3.0

# Function Class

(QmlJS::Function)

Inherits: | QmlJS::FunctionValue

- List of all members, including inherited members

## Public Functions

| Function(ValueOwner *valueOwner)
| ~Function()
void | addArgument(const Value *argument, const QString &name = QString())
void | setOptionalNamedArgumentCount(int count)
void | setReturnValue(const Value *returnValue)
void | setVariadic(bool variadic)

- 6 public functions inherited from QmlJS::FunctionValue
- 14 public functions inherited from QmlJS::ObjectValue
- 29 public functions inherited from QmlJS::Value

## Member Function Documentation

### Function::Function(ValueOwner *valueOwner)

Default constructs an instance of Function.

### Function::~Function()

Destroys the instance of Function.

### void Function::addArgument(const Value *argument, const QString &name = QString())

### void Function::setOptionalNamedArgumentCount(int count)

### void Function::setReturnValue(const Value *returnValue)

### void Function::setVariadic(bool variadic)